#
# Copyright Michael Orlitzky
#
# http://michael.orlitzky.com/
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# http://www.fsf.org/licensing/licenses/gpl.html
#

# Augment the String class with a (left) pad method
class String
  def pad_left(pad_char, to_length)
    chars_to_pad = to_length - self.length
    
    if chars_to_pad <= 0 then
      # Don't do anything if the string is already long enough
      return self
    else
      return (pad_char * chars_to_pad) + self
    end
  end
end
