#
# Copyright Michael Orlitzky
#
# http://michael.orlitzky.com/
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# http://www.fsf.org/licensing/licenses/gpl.html
#

require 'test/unit'
require 'src/websites/infoq'

# Remote Infoq tests. Actually hit their website
# and attempt to parse the data returned.

class InfoqRemoteTest < Test::Unit::TestCase
  
  def test_get_page_data
    iq = Infoq.new('http://www.infoq.com/interviews/jim-weirich-discusses-rake')
    expected_result = 'http://flv.thruhere.net/interviews/JimWeirich.flv'
    actual_result = iq.get_video_url()
    assert_equal(expected_result, actual_result)
  end

  
  def test_superclass_get_filename_works
    iq = Infoq.new('http://www.infoq.com/interviews/jim-weirich-discusses-rake')
    expected_result = 'JimWeirich.flv'
    actual_result = iq.get_video_filename()
    assert_equal(expected_result, actual_result)
  end
  
end
